# vim: set ft=spec: -*- rpm-spec -*-
# $Id: scummvm-tools,v 1.5 2004/12/24 16:17:03 raorn Exp $

%define name scummvm-tools
%define version 0.7.0
#define cvsdate 20040223
%define buildver 1

%define release alt%buildver

Name: %name
Version: %version
Release: %release.1

Summary: Utilities for the SCUMM graphic adventure game interpreter
Summary (ru_RU.UTF-8): Сопутствующие утилиты для интерпретатора приключенческих игр SCUMM
Group: Games/Adventure
License: GPL
Url: http://www.scummvm.org

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %name-%version.tar.bz2
%endif

# Automatically added by buildreq on Fri Dec 24 2004
BuildRequires: gcc-c++ libstdc++-devel zlib-devel

%description
This is a collection of various tools that may be useful to use in conjunction
with ScummVM.

Included tools:
convbdf - Converts BDF (Bitmap Display Format) files to C++ source.
descumm - Decompiles SCUMM scripts
desword2 - Disassembles Broken Sword II scripts
extract - Used to MP3 compress .sou files to .so3 or .ogg.
mm_nes_extract - Extracts data files from NES version of Maniac Mansion.
queenrebuild - Used to rebuild the datafile of Flight of the Amazon Queen.
rescumm - Extracts macintosh "single file" SCUMM games, for use with ScummVM.
simon1decr - Decrunches graphics and music in Amiga versions of Simon the Sorcerer 1.
simon2mp3 - Used to MP3 compress .voc or .wav files to .mp3. Requires MAD.

%description -l ru_RU.UTF-8
Коллекция утилит, которые могут оказаться полезными при использовании ScummVM.

Список программ:
convbdf - Конвертирование BDF (Bitmap Display Format) файлов в C++ код.
descumm - Декомпиляция сценариев SCUMM.
desword2 - Дизассемблирование сценариев Broken Sword II.
extract - MP3-подобное сжатие файлов .sou в .so3 или .ogg.
mm_nes_extract - Распаковка файлов данных из NES версии Maniac Mansion.
queenrebuild - Перепаковка файлов данных от Flight of the Amazon Queen.
rescumm - Распаковка "однофайловых" SCUMM игр для Макинтоша в формат ScummVM.
simon1decr - Декодирование графики и музыки Simon the Sorcerer 1 для Амиги.
simon2mp3 - Сжатие .voc или .wav файлов в .mp3. Использует библиотеку MAD.

%prep
%ifdef cvsdate
%setup -q -n %name
%else
%setup -q
%endif

%build
%__subst 's/^\(CFLAGS[[:blank:]]*:=\).*$/\1 %optflags/' Makefile
%make_build

%install
%__mkdir_p %buildroot%_bindir
%__install -m755 -p convbdf descumm desword2 extract mm_nes_extract queenrebuild rescumm simon1decr simon2mp3 %buildroot%_bindir

%files
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%doc README
%_bindir/*

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.7.0-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Dec 24 2004 Sir Raorn <raorn@altlinux.ru> 0.7.0-alt1
- [0.7.0]

* Tue Aug 03 2004 Sir Raorn <raorn@altlinux.ru> 0.6.1-alt1
- [0.6.1]

* Sat Mar 27 2004 Sir Raorn <raorn@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Feb 24 2004 Sir Raorn <raorn@altlinux.ru> 0.5.0-alt2
- CVS snapshot 20040223
- spec cleanup

* Wed Aug 13 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Sun Jun 29 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Dec 23 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.0b-alt1
- ALTLnux build



